Subject: bug#764: closed (Re: bug#764: 23.0.60; fontified prompt in *shell* extends to normal text upon yank)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 07 Jan 2014 12:07:11 +0000

Your bug report

#764: 23.0.60; fontified prompt in *shell* extends to normal text upon yank

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
764: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=764
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#764: 23.0.60; fontified prompt in *shell* extends to normal text upon yank
From: Bastien Guerry <[email-masked]>
To: Peter Dyballa <[email-masked]>
Cc: [email-masked], Chong Yidong <[email-masked]>
Date: Tue, 07 Jan 2014 11:38:35 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Peter Dyballa <[email-masked]> writes:

> So the easy recipe is: copy or kill some text, go to the *shell*
> buffer's end, go back to the prompt's beginning, and insert now the
> text. The prompt's properties now extend to the text's beginning where
> formerly the prompt started.

I can't reproduce this either.  Closing this bug---Peter, feel free to
reopen it and to provide a new recipe if you still encounter this bug.

>From [email-masked] Sat Aug 23 01:59:49 2008
To: [email-masked]
From: Peter Dyballa <[email-masked]>
Subject: 23.0.60; fontified prompt in *shell* extends to normal text upon yank
Date: Sat, 23 Aug 2008 10:59:25 +0200

--Apple-Mail-10-656596965
Content-Transfer-Encoding: 7bit
Content-Type: text/plain;
	charset=US-ASCII;
	delsp=yes;
	format=flowed

Hello!

My customisation has

  '(comint-prompt-regexp "^[a-z]+ [0-9]+ /\\\\ " t)
  '(shell-prompt-pattern "^[a-z]+ [0-9]+ /\\\\ ")
  '(comint-highlight-prompt ((t (:background  
"FloralWhite" :foreground "DarkViolet" :weight bold))))

Sometimes I locate items and sort them by killing and yanking the  
lines they're on. When I yank such a line just above the prompt,  
i.e., the cursor is in column 0 at the prompt's beginning, the  
prompt's fontification is extended over the yanked line as this  
screenshot shows:

--Apple-Mail-10-656596965
Content-Transfer-Encoding: base64
Content-Type: image/tiff;
	x-unix-mode=0666;
	name=pastedGraphic.tiff
Content-Disposition: inline;
	filename=pastedGraphic.tiff

--Apple-Mail-10-656596965
Content-Transfer-Encoding: 7bit
Content-Type: text/plain;
	charset=US-ASCII;
	delsp=yes;
	format=flowed

It works with keyboard as well as with mouse.

In GNU Emacs 23.0.60.1 (powerpc-apple-darwin8.11.0, X toolkit, Xaw3d  
scroll bars)
  of 2008-08-23 on localhost
Windowing system distributor `The XFree86 Project, Inc', version  
11.0.40400000
configured using `configure  '--without-sound' '--without-pop' '-- 
with-dbus' '--with-x-toolkit=athena' '--enable-locallisppath=/Library/ 
Application Support/Emacs/calendar23:/Library/Application Support/ 
Emacs/caml:/Library/Application Support/Emacs:/sw/share/emacs21/site- 
lisp/elib' 'PKG_CONFIG_PATH=/sw/lib/fontconfig2/lib/pkgconfig:/sw/lib/ 
freetype219/lib/pkgconfig:/sw/lib/pango-ft219/lib/pkgconfig:/sw/lib/ 
qt4-x11/lib/pkgconfig:/sw/lib/system-openssl/lib/pkgconfig:/sw/lib/ 
pkgconfig:/sw/share/pkgconfig:/usr/X11R6/lib/pkgconfig:/usr/local/lib/ 
pkgconfig:/usr/lib/pkgconfig' 'CFLAGS=-Wno-pointer-sign -bind_at_load  
-H -pipe -fPIC -mcpu=7450 -mtune=7450 -fast -mpim-altivec -ftree- 
vectorize -foptimize-register-move -freorder-blocks -freorder-blocks- 
and-partition -fthread-jumps -fpeephole -fno-crossjumping' 'CPPFLAGS=- 
no-cpp-precomp' 'LDFLAGS=-bind_at_load -dead_strip -multiply_defined  
suppress -L/sw/lib/ncurses''

Important settings:
   value of $LC_ALL: nil
   value of $LC_COLLATE: nil
   value of $LC_CTYPE: de_DE.UTF-8
   value of $LC_MESSAGES: nil
   value of $LC_MONETARY: nil
   value of $LC_NUMERIC: nil
   value of $LC_TIME: nil
   value of $LANG: de_DE.UTF-8
   value of $XMODIFIERS: nil
   locale-coding-system: utf-8-unix
   default-enable-multibyte-characters: t

Major mode: Shell

Minor modes in effect:
   shell-dirtrack-mode: t
   diff-auto-refine-mode: t
   show-paren-mode: t
   display-time-mode: t
   desktop-save-mode: t
   tooltip-mode: t
   mouse-wheel-mode: t
   menu-bar-mode: t
   file-name-shadow-mode: t
   global-font-lock-mode: t
   font-lock-mode: t
   blink-cursor-mode: t
   global-auto-composition-mode: t
   auto-composition-mode: t
   auto-encryption-mode: t
   auto-compression-mode: t
   column-number-mode: t
   line-number-mode: t
   transient-mark-mode: t

--
Greetings

   Pete

By filing this bug report you have challenged the honor of my family.  
Prepare to die!

--Apple-Mail-10-656596965--